

using GLib;

namespace PeopleBackendDummyTest {

	public class ContactSourceFactory : PeopleBackendTest.ContactSourceFactory {
		protected override void initialize () {
			backend_name = "Dummy";
			parameters_count = 2;
			parameters_names = new string[] {"username", "password"};
			parameters_types = new Type[] {typeof(string), typeof(string)};

			base.initialize ();
		}

		protected override void set_up () {
			contact_source_factory = new PeopleBackendDummy.ContactSourceFactory ();

			base.set_up ();
		}

		static int main(string[] args) {
			var suite = new ContactSourceFactory();
			return suite.run();
		}

	}
}
