

using GLib;

namespace PeopleBackendSqliteTest {

	public class ContactSourceFactory : PeopleBackendTest.ContactSourceFactory {
		protected override void initialize () {
			backend_name = "Sqlite";
			parameters_count = 1;
			parameters_names = new string[] {"db-path"};
			parameters_types = new Type[] {typeof(string)};

			base.initialize ();
		}

		protected override void set_up () {
			contact_source_factory = new PeopleBackendSqlite.ContactSourceFactory ();

			base.set_up ();
		}

		static int main(string[] args) {
			var suite = new ContactSourceFactory();
			return suite.run();
		}

	}
}
