

using GLib;

namespace PeopleBackendDummyTest {

	public class ContactSource : PeopleBackendTest.ContactSource {
		protected override void initialize () {
			backend_name = "Dummy";
			contact_source_flags = PeopleBackend.ContactSourceFlags.CAN_CREATE_CONTACT;
			contacts_count = 2;
			valid_contact_handle = "foo-bar";
			invalid_contact_handle = "abcd-wzyx";

			base.initialize ();
		}

		protected override void set_up () {
			contact_source = new PeopleBackendDummy.ContactSource ();

			base.set_up ();
		}

		static int main(string[] args) {
			var suite = new ContactSource();
			return suite.run();
		}

	}
}
