

using GLib;

namespace PeopleBackendDummyTest {

	public class ContactNew : PeopleBackendTest.Contact {
		private Gee.Set<PeopleBackend.Contact> contacts;

		protected override void initialize () {
			backend_name = "Dummy";
			contact_id = null;
			contact_flags = PeopleBackend.ContactFlags.EDITABLE | PeopleBackend.ContactFlags.DELETABLE;

			base.initialize ();
		}

		protected override void set_up () {
			contacts = new Gee.HashSet<PeopleBackend.Contact> ();
			contact = new PeopleBackendDummy.Contact (null, contacts);

			mandatory_fields.add ("identity.name.first");
			mandatory_fields.add ("identity.name.last");

			base.set_up ();
		}

		static int main(string[] args) {
			var suite = new ContactNew();
			return suite.run();
		}

	}
}
